Skip to main content
POST
/
api
/
v1
/
balance
/
sweep
Sweep custodial balance
curl --request POST \
  --url https://api.hevn.finance/api/v1/balance/sweep \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "state": "<string>",
  "fromAmount": 123,
  "fromCurrency": "<string>",
  "toAmount": 123,
  "toCurrency": "<string>",
  "maskedIban": "<string>"
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Response

Successful Response

Response with payout status.

id
string
required
state
string
required
fromAmount
number
required
fromCurrency
string
required
toAmount
number
required
toCurrency
string
required
maskedIban
string | null